summaryrefslogtreecommitdiffstats
path: root/desktop/stalonetray
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-12-08 19:44:25 +0000
committer Robby Workman <rworkman@slackbuilds.org>2010-12-12 15:47:24 -0600
commit8805f360fc63fbc0f4934da251aa5b4c79bf622c (patch)
treecf60451ee7210163a5a8f185acff4844c699732b /desktop/stalonetray
parente55f85846f00c03bba44f5c41551aab81b78dc04 (diff)
downloadslackbuilds-8805f360fc63fbc0f4934da251aa5b4c79bf622c.tar.gz
slackbuilds-8805f360fc63fbc0f4934da251aa5b4c79bf622c.tar.xz
desktop/stalonetray: Added. (A stand alone system tray for X)
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'desktop/stalonetray')
-rw-r--r--desktop/stalonetray/README7
-rw-r--r--desktop/stalonetray/slack-desc19
-rw-r--r--desktop/stalonetray/stalonetray.SlackBuild101
-rw-r--r--desktop/stalonetray/stalonetray.info10
4 files changed, 137 insertions, 0 deletions
diff --git a/desktop/stalonetray/README b/desktop/stalonetray/README
new file mode 100644
index 0000000000..d9d8f57d46
--- /dev/null
+++ b/desktop/stalonetray/README
@@ -0,0 +1,7 @@
+Stalonetray is a STAnd-aLONE system TRAY (notification area) for X
+Window System. It has full XEMBED support and minimal dependencies:
+the X11 lib only. Stalonetray works with virtually any EWMH-compliant
+window manager.
+
+After install, copy stalonetrayrc.sample from the documentation folder
+to ~/.stalonetrayrc, then you can start using it.
diff --git a/desktop/stalonetray/slack-desc b/desktop/stalonetray/slack-desc
new file mode 100644
index 0000000000..7c4a2466a5
--- /dev/null
+++ b/desktop/stalonetray/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+stalonetray: stalonetray (a STAnd-aLONE system TRAY)
+stalonetray:
+stalonetray: Stalonetray is a STAnd-aLONE system TRAY (notification area) for X
+stalonetray: Window System. It has full XEMBED support and minimal dependencies:
+stalonetray: the X11 lib only. Stalonetray works with virtually any EWMH-compliant
+stalonetray: window manager.
+stalonetray:
+stalonetray: Homepage: http://stalonetray.sourceforge.net/
+stalonetray:
+stalonetray:
+stalonetray:
diff --git a/desktop/stalonetray/stalonetray.SlackBuild b/desktop/stalonetray/stalonetray.SlackBuild
new file mode 100644
index 0000000000..75533d898a
--- /dev/null
+++ b/desktop/stalonetray/stalonetray.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for stalonetray
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stalonetray
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO stalonetrayrc.sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/stalonetray/stalonetray.info b/desktop/stalonetray/stalonetray.info
new file mode 100644
index 0000000000..60689ebe90
--- /dev/null
+++ b/desktop/stalonetray/stalonetray.info
@@ -0,0 +1,10 @@
+PRGNAM="stalonetray"
+VERSION="0.8.1"
+HOMEPAGE="http://stalonetray.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/stalonetray/stalonetray-0.8.1.tar.bz2"
+MD5SUM="3bf4c7e5e3c077f26242b37a8e008774"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Michiel van Wessem"